<template>
  <!--批量核销 -->
  <el-dialog title="批量核销" :visible.sync="upload.open" width="400px" append-to-body :before-close="close">
    <el-upload ref="upload" :limit="1" accept=".xlsx, .xls" :headers="upload.headers" :action="upload.url+'?productId='+productId" :disabled="upload.isUploading" :on-progress="handleFileUploadProgress" :on-success="handleFileSuccess" :auto-upload="false" drag>
      <i class="el-icon-upload"></i>
      <div class="el-upload__text">将文件拖到此处，或<em>点击上传</em></div>
      <div class="el-upload__tip text-center" slot="tip">
        <span>仅允许导入xls、xlsx格式文件。</span>
        <el-link type="primary" :underline="false" style="font-size:12px;vertical-align: baseline;" @click="importTemplate">下载模板</el-link>
      </div>
    </el-upload>
    <div slot="footer" class="dialog-footer">
      <el-button type="primary" @click="submitFileForm">确 定</el-button>
      <el-button @click="close()">取 消</el-button>
    </div>
  </el-dialog>
</template>

<script>
import { getToken } from "@/utils/auth";
export default {
  data () {
    return {
      // 批量核销参数
      upload: {
        // 是否显示弹出层（用户导入）
        open: false,
        // 是否禁用上传
        isUploading: false,
        // 设置上传的请求头部
        headers: { Authorization: "Bearer " + getToken() },
        // 上传的地址
        url: process.env.VUE_APP_BASE_API + "/system/businessProductCode/verification-import"
      },
    }
  },
  props: {
    productId: {
      type: String | Number
    }
  },
  methods: {
    open () {
      this.upload.open = true;
      if (this.$refs.upload) {
        this.$refs.upload.clearFiles()
      }
    },
    close () {
      this.$refs.upload.clearFiles()
      this.upload.open = false
    },
    // 文件上传中处理函数
    handleFileUploadProgress (event, file, fileList) {
      this.upload.isUploading = true
    },
    // 文件上传成功处理函数
    handleFileSuccess (response, file, fileList) {
      this.upload.isUploading = false
      if (response.code == 200) {
        this.upload.open = false;
        this.$emit('success')
      } else {
        this.$message.error(response.msg)
      }
    },
    // 提交上传文件
    submitFileForm () {
      this.$refs.upload.submit();
    },    /** 下载模板操作 */
    importTemplate () {
      this.download('system/businessProductCode/verification-export', {
      }, `批量核销模板_${new Date().getTime()}.xlsx`)
    },
  }
}
</script>

<style lang='scss' scoped>
</style>